cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
    },

    start () {
        cc.loader.downloader.loadSubpackage('aa', err => {
            if (err) {
                console.error(err);
                return;
            }
            console.log('load subpackage_aa successfully.');
        });
        cc.loader.downloader.loadSubpackage('bb', err => {
            if (err) {
                console.error(err);
                return;
            }
            console.log('load subpackage_bb successfully.');
            cc.director.loadScene('game');
        });
    },

    // called every frame
    update: function (dt) {

    },
});
